org.apache.ignite.internal.processors.cache.persistence.file

## Interface FilePageStoreFactory

All Known Implementing Classes:
  FileVersionCheckingFactory

    public interface FilePageStoreFactory

### Method Summary

Methods
`FilePageStore` `createPageStore(byte type, File file)` Creates instance of FilePageStore based on given file.

### Method Detail

#### createPageStore

    FilePageStore createPageStore(byte type,
                                File file)
                                  throws IgniteCheckedException

Creates instance of FilePageStore based on given file.

Parameters:
  `type` - Data type, can be `PageIdAllocator.FLAG_IDX` or `PageIdAllocator.FLAG_DATA`.
  `file` - File Page store file.
Throws:
  `IgniteCheckedException`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017